#ifndef NWHOLEINDEXS_H
#define NWHOLEINDEXS_H

#include <QObject>

class XWholeStockIndexs : public QObject
{
    Q_OBJECT
public:
    typedef struct WholeIndexParam
    {
        QString code;//指数代码
        QString name;//指数名称
        QString tradeDay;//交易日
        QString componentNum;//成份个数
        QString open;//开盘价
        QString close;//收盘价
        QString differRange;//涨跌幅
        QString volumn;//成交量   股
        QString amount;//成交额   万元
        QString mvByCSRC;//总市值证监会算法 百万
        QString freeFloatMv;//自由流通市值 百万
    }_WholeStockIndexsParam;
    explicit XWholeStockIndexs(QObject *parent = nullptr);
    ~XWholeStockIndexs();

    QString toInsertSql(_WholeStockIndexsParam stockIndex);
    QString toDeleteSql();
    QString toQuerySql();
signals:

};

#endif // NWHOLEINDEXS_H
